# Interface VonageLogger

An interface representing a client logger to be set via ClientInitConfigObject.customLoggers

#### Example

    [[include: snippet_Logging.txt]]

interface VonageLogger {
minLogLevel?: null | LoggingLevelJS | "Verbose" | "Debug" | "Info" | "Warn" | "Error" | "Assert";
name: string;
topics?: Nullable<Topics[]> | Topics[];
}

#####
Index

### Properties

minLogLevel?
name
topics?

## Properties

### `Optional` minLogLevel

minLogLevel?: null | LoggingLevelJS | "Verbose" | "Debug" | "Info" | "Warn" | "Error" | "Assert"

The minimum log level of the logger.

### name

name: string

The name of the logger.

### `Optional` topics

topics?: Nullable<Topics[]> | Topics[]

The topics that the logger is subscribed to.